Name:           perl-ExtUtils-Command
Version:        1.20
Release:        1%{?dist}
Summary:        Perl routines to replace common UNIX commands in Makefiles
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-Command/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/ExtUtils-Command-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
# File::Spec not used on Linux
BuildRequires:  perl(vars)
# VMS::Feature not used on Linux
# Tests:
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)
Requires:       perl(File::Copy)
Requires:       perl(File::Find)
Requires:       perl(File::Path)

%description
This Perl module is used to replace common UNIX commands. In all cases the
functions work with @ARGV rather than taking arguments. This makes them
easier to deal with in Makefiles.

%prep
%setup -q -n ExtUtils-Command-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jan 19 2015 Petr Pisar <ppisar@redhat.com> - 1.20-1
- 1.20 bump

* Mon Jan 05 2015 Petr Pisar <ppisar@redhat.com> - 1.19-1
- 1.19 bump

* Tue Nov 18 2014 Petr Pisar <ppisar@redhat.com> - 1.18-340
- Increase release number to supersede perl's sub-package

* Wed Oct 29 2014 Petr Pisar <ppisar@redhat.com> 1.18-240
- Specfile autogenerated by cpanspec 1.78.
